<?xml version="1.0"?>
<!-- Record all ROS messages, splitting out the highest-volume data into separate files -->

<!-- TODO:
     * confirm -x works to exclude entire perception namespace
     * consider recording bagfiles already compressed. Earlier experiments suggested -->
<launch>
  <arg name="cameras" default="true"/>

  <!-- raw camera data; can't do -e since we don't want all of the stereo pipeline -->
  <group if="$(arg cameras)">
     <node pkg="rosbag" type="record" name="record_cameras" output="screen"
          args="-o $(env PWD)/cameras --lz4 /raven/stereo/left/image_raw /raven/stereo/left/camera_info /raven/stereo/left/imaging_metadata /raven/stereo/right/image_raw /raven/stereo/right/camera_info /raven/stereo/right/imaging_metadata /tf /tf_static" />
  </group>

</launch>
